$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-bacfa9be19ef27183aa8b4f8df918e0a3a500591/rpcs3-v0.0.13-11197-bacfa9be_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'eaa21769686ca348ed79d87f35987d454a84a70322def89c9895174190438450'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
